MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025816Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-02-10 21:472019-07-10 21:41
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025816: IGES export - edges within compound are lost if BREP mode (IGES 5.3) is used
DescriptionWhen writing IGES in BREP mode (IGES 5.3), edges are written well if exported as isolated shapes, but get lost if put into compound.
Steps To Reproducetest bugs iges bug25816
TagsNo tags attached.
Test case numberbugs iges(003) bug25816
Attached Files

- Relationships
parent of 0029736closedbugmaster Community Data Exchange - Some Warnings During Compound Transfer to IGES Look Dubious 

-  Notes
(0037331)
git (administrator)
2015-02-11 07:42

Branch CR25816 has been created by abv.

SHA-1: e55697e2d8130e14d61773235667b6a8995a0b20


Detailed log of new commits:

Author: abv
Date: Tue Feb 10 22:50:51 2015 +0300

    0025816: IGES export - edges within compound are lost if BREP mode (IGES 5.1) is used
    
    Enable writing wires, edges, and vertices inside compound in IGES in BREP mode.
    Create IGES group for compound even if it contains single shape.
(0037340)
abv (manager)
2015-02-11 12:25

Fix and test case pushed to CR25816, please review
(0037341)
gka (developer)
2015-02-11 12:28

Branch CR25816 is ready to be tested
(0037524)
git (administrator)
2015-02-13 17:44

Branch CR25816 has been updated forcibly by apv.

SHA-1: 497fce09eff507a721ba367ae7e2e850ff1d1490
(0037525)
apv (tester)
2015-02-13 17:45

Branch CR25816 has been rebased on the current master
(0037568)
apv (tester)
2015-02-16 14:30

Dear BugMaster,

Branch CR25816 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 497fce09eff507a721ba367ae7e2e850ff1d1490

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs iges(003) bug25816 - OK
http://occt-tests/CR25816-master-occt/Debian60-64/bugs/iges/bug25816.html [^]
http://occt-tests/CR25816-master-occt/Windows-32-VC10/bugs/iges/bug25816.html [^]

Testing on Linux:
Total MEMORY difference: 86249917 / 86147921
Total CPU difference: 50292.04 / 48446.16999999995

Testing on Windows:
Total MEMORY difference: 40697687 / 40708321
Total CPU difference: 37334.0625 / 34798.28125
(0038603)
git (administrator)
2015-03-18 13:38

Branch CR25816 has been deleted by inv.

SHA-1: 497fce09eff507a721ba367ae7e2e850ff1d1490

- Related Changesets
occt: master 19589673
Timestamp: 2015-02-10 19:50:51
Author: abv
Committer: bugmaster
Details ] Diff ]
0025816: IGES export - edges within compound are lost if BREP mode (IGES 5.1) is used

Enable writing wires, edges, and vertices inside compound in IGES in BREP mode.
Create IGES group for compound even if it contains single shape.
mod - src/BRepToIGESBRep/BRepToIGESBRep_Entity.cxx Diff ] File ]
mod - tests/bugs/begin Diff ] File ]
add - tests/bugs/iges/bug25816 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-02-10 21:47 abv New Issue
2015-02-10 21:47 abv Assigned To => gka
2015-02-10 21:56 abv Summary IGES export - edges withing compound are lost if BREP mode (IGES 5.1) is used => IGES export - edges within compound are lost if BREP mode (IGES 5.1) is used
2015-02-11 07:42 git Note Added: 0037331
2015-02-11 12:25 abv Note Added: 0037340
2015-02-11 12:25 abv Status new => resolved
2015-02-11 12:25 abv Steps to Reproduce Updated View Revisions
2015-02-11 12:28 gka Note Added: 0037341
2015-02-11 12:28 gka Assigned To gka => bugmaster
2015-02-11 12:28 gka Status resolved => reviewed
2015-02-11 16:55 mkv Assigned To bugmaster => apv
2015-02-13 17:44 git Note Added: 0037524
2015-02-13 17:45 apv Note Added: 0037525
2015-02-16 12:26 apv Test case number => bugs iges(003) bug25816
2015-02-16 14:30 apv Note Added: 0037568
2015-02-16 14:30 apv Status reviewed => tested
2015-02-16 14:31 apv Assigned To apv => bugmaster
2015-02-20 17:21 bugmaster Changeset attached => occt master 19589673
2015-02-20 17:21 bugmaster Status tested => verified
2015-02-20 17:21 bugmaster Resolution open => fixed
2015-03-18 13:38 git Note Added: 0038603
2015-05-12 09:38 abv Summary IGES export - edges within compound are lost if BREP mode (IGES 5.1) is used => IGES export - edges within compound are lost if BREP mode (IGES 5.3) is used
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:30 aiv Fixed in Version => 6.9.0
2019-07-10 21:41 abv Relationship added parent of 0029736


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker